namespace WebFormsWrapper2017R1SP2
{
    using System;
    using Telerik.ReportViewer.Html5.WebForms;

    public partial class ReportViewerForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                var reportSource = new Telerik.ReportViewer.Html5.WebForms.ReportSource();
                reportSource.IdentifierType = IdentifierType.UriReportSource;
                reportSource.Identifier = "SampleReport.trdp";
                reportSource.Parameters.Add("Date", DateTime.Today.AddDays(25));
                reportViewer1.ReportSource = reportSource;
            }
        }
    }
}